Skip to main content

Image

👍 Required plan

Available only in the SOCIAL plan and up.

An image to identify a person. Note that Pipl aims to return only working images. However, sometimes images are no longer available online because of platform changes or a user has changed privacy settings.

ComponentTypeDescription
urlStringImage URL
thumbnail_tokenStringA special token that can be used with our thumbnail server.

Search Requirements​

Image objects are not used by the API for search.

A Note About Thumbnails​

Each image field in our API responses includes a special token that can be sent to our thumbnail servers. You can specify the exact parameters depending on your needs. The base URL of our thumbnail server is: https://thumb.pipl.com/image. For more information see Thumbnails.

Parameters for the thumbnail server:

ParameterTypeDescription
tokenStringThe thumbnail token. Send as is, do not url-encode it.
tokensStringTwo thumbnail tokens separated by a comma. Either this or the token parameter is required.
height (required)IntegerHeight in pixels. Integer between 100-500.
width (required)IntegerWidth in pixels. Integer between 100-500.
faviconBooleanWhether to show favicon.
zoom_faceBooleanWhether to enable face zoom.

Examples​

Sample Image data:

{
"url": "http://vignette1.wikia.nocookie.net/smallville/images/e/ea/Buddies_forever.jpg",
"thumbnail_token": "AE2861B242686E7BD0CB4D9049298EB7D18FEF66D950E8AB78BCD3F484345CE74536C19A85D0BA3D32DC9E7D1878CD4D341254E7AD129255C6983E6E154C4530A0DAAF665EA325FC0206F8B1D7E0B6B7AD9EBF71FCF610D57D"
}

Getting the thumbnail URL with client libraries

from piplapis.search import SearchAPIRequest
from piplapis.data import Image
response = SearchAPIRequest(email='clark.kent@example.com').send()
thumbnail_url = response.image.get_thumbnail_url(200, 100, zoom_face=True, favicon=True)